org.apache.synapse.commons.staxon.core.json.stream

## Interface JsonStreamTarget

- All Superinterfaces:
    AutoCloseable, Closeable, Flushable
  All Known Implementing Classes:
    AutoArrayTarget, AutoPrimitiveTarget, CustomRegexIgnoreAutoPrimitiveTarget, CustomRegexMatchReplaceIgnoreAutoPrimitiveTarget, RemoveRootTarget, StreamTargetDelegate

      public interface JsonStreamTarget
      extends Closeable, Flushable

  JSON stream target.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endArray()` End array.
    `void` | `endObject()` End object.
    `void` | `name(String name)` Write name.
    `void` | `startArray()` Start array.
    `void` | `startObject()` Start object
    `void` | `value(Object value)` Write value.

    - ### Methods inherited from interface java.io.Closeable

      `close`

    - ### Methods inherited from interface java.io.Flushable

      `flush`

- - ### Method Detail

    - #### name

          void name(String name)
             throws IOException

      Write name.
      Parameters:
        `name` -
      Throws:
        `IOException`

    - #### value

          void value(Object value)
              throws IOException

      Write value.
      Parameters:
        `value` -
      Throws:
        `IOException`

    - #### startObject

          void startObject()
                    throws IOException

      Start object
      Throws:
        `IOException`

    - #### endObject

          void endObject()
                  throws IOException

      End object.
      Throws:
        `IOException`

    - #### startArray

          void startArray()
                   throws IOException

      Start array.
      Throws:
        `IOException`

    - #### endArray

          void endArray()
                 throws IOException

      End array.
      Throws:
        `IOException`

Copyright © 2005–2017 Apache Software Foundation. All rights reserved.